> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metabind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Folders

> Retrieve all folders for a project

## Path Parameters

<ParamField path="organizationId" type="string" required>
  Organization ID
</ParamField>

<ParamField path="projectId" type="string" required>
  Project ID
</ParamField>

## Query Parameters

<ParamField query="limit" type="number" default="10">
  Items per page
</ParamField>

<ParamField query="lastKey" type="string">
  Pagination cursor from previous response
</ParamField>

## Response

<ResponseField name="data" type="Folder[]">
  Array of folder objects
</ResponseField>

<ResponseField name="pagination" type="object">
  Pagination information
</ResponseField>

### Example Response

```json theme={null}
{
  "data": [
    {
      "id": "folder123",
      "name": "Marketing Content Searches",
      "parentId": null,
      "type": "content",
      "order": 1.0,
      "createdAt": "2024-03-20T10:00:00Z",
      "updatedAt": "2024-03-20T10:00:00Z"
    },
    {
      "id": "folder456",
      "name": "Image Asset Searches",
      "parentId": null,
      "type": "asset",
      "order": 2.0,
      "createdAt": "2024-03-20T10:00:00Z",
      "updatedAt": "2024-03-20T10:00:00Z"
    }
  ],
  "pagination": {
    "lastKey": "eyJpZCI6ImZvbGRlcjQ1NiJ9"
  }
}
```

## Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/folders" \
    -H "Authorization: Bearer YOUR_JWT"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/folders',
    {
      headers: {
        'Authorization': 'Bearer YOUR_JWT'
      }
    }
  );

  const { data: folders, pagination } = await response.json();
  console.log(`Found ${folders.length} folders`);
  ```
</CodeGroup>
